package com.jyc.threegames.activity;

import android.Manifest;
import android.app.Dialog;
import android.app.ProgressDialog;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.text.TextUtils;
import android.widget.EditText;
import android.widget.Toast;

import com.jyc.threegames.R;
import com.jyc.threegames.activity.base.BaseActivity;
import com.jyc.threegames.bean.result.ResLogin;
import com.jyc.threegames.controller.LoginController;
import com.jyc.threegames.net.SimpleRequest;

import java.security.Permission;
import java.security.PermissionCollection;
import java.security.Permissions;

import butterknife.BindView;
import butterknife.OnClick;

public class LoginActivity extends BaseActivity {

    @BindView(R.id.user_name)
    EditText mETUserName;
    @BindView(R.id.pass_word)
    EditText mETPassWord;



    @Override
    protected int getRootLayout() {
        return R.layout.activity_login;
    }

    @Override
    protected String getPageTitle() {
        return "歡迎使用";
    }

    @Override
    protected void init(Bundle instance) {
        super.init(instance);

        if (checkSelfPermission(Manifest.permission.READ_EXTERNAL_STORAGE) != PackageManager.PERMISSION_GRANTED ||
                checkSelfPermission(Manifest.permission.WRITE_EXTERNAL_STORAGE) != PackageManager.PERMISSION_GRANTED){
            requestPermissions(new String[]{Manifest.permission.READ_EXTERNAL_STORAGE, Manifest.permission.WRITE_EXTERNAL_STORAGE}, 100);
        }
    }

    @OnClick(R.id.login)
    public void login(){
        if (TextUtils.isEmpty(mETUserName.getText().toString().trim()))
            Toast.makeText(this, "请输入用户名", Toast.LENGTH_SHORT).show();
        else if(TextUtils.isEmpty(mETPassWord.getText().toString().trim()))
            Toast.makeText(this, "请输入密码", Toast.LENGTH_SHORT).show();
        else{
            Dialog loading = new ProgressDialog(this);
            loading.setTitle("登录中");
            loading.show();
            new SimpleRequest<ResLogin>().request(this, LoginController.getInstance().login(mETUserName.getText().toString().trim(), mETPassWord.getText().toString().trim()), "登录失败!用户名或密码错误", loading, new SimpleRequest.Executor<ResLogin>() {
                @Override
                public void execute(ResLogin obj) {
                    startActivity(new Intent(LoginActivity.this, obj.isAdmin() ? AdminActivity.class : NormalUserActivity.class));
                    finish();
                }
            });
        }
    }
}