package com.jyc.threegames.bean;

import android.os.Parcel;
import android.os.Parcelable;

public class GameInfo implements Parcelable {
    public static final int VERSION_GAME_ONE = 1;
    public static final int VERSION_GAME_TWO = 2;
    public static final int VERSION_GAME_THREE = 3;

    public int gameVersion;
    public long intervalDuration; //數字交換間隔
    public long displayDuration;//顯示時長
    public int correctNumberOccurrenceNumber;//正確數字出現次數
    public int errorNumberOccurrenceNumber;//錯誤數字出現次數
    public long practiseDuration; //用戶熱身時長
    public int practiseOccurrenceNumber;//用戶熱身數字出現次數

    public GameInfo(int gameVersion, long intervalDuration, long displayDuration, int correctNumberOccurrenceNumber, int errorNumberOccurrenceNumber, long practiseDuration, int practiseOccurrenceNumber) {
        this.gameVersion = gameVersion;
        this.intervalDuration = intervalDuration;
        this.displayDuration = displayDuration;
        this.correctNumberOccurrenceNumber = correctNumberOccurrenceNumber;
        this.errorNumberOccurrenceNumber = errorNumberOccurrenceNumber;
        this.practiseDuration = practiseDuration;
        this.practiseOccurrenceNumber = practiseOccurrenceNumber;
    }

    public static GameInfo EXERCISE(int gameVersion){
        return new GameInfo(gameVersion, 1000, 1000, 5, 5, 1000, 5);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeInt(this.gameVersion);
        dest.writeLong(this.intervalDuration);
        dest.writeLong(this.displayDuration);
        dest.writeInt(this.correctNumberOccurrenceNumber);
        dest.writeInt(this.errorNumberOccurrenceNumber);
        dest.writeLong(this.practiseDuration);
        dest.writeInt(this.practiseOccurrenceNumber);
    }

    public GameInfo() {
    }

    protected GameInfo(Parcel in) {
        this.gameVersion = in.readInt();
        this.intervalDuration = in.readLong();
        this.displayDuration = in.readLong();
        this.correctNumberOccurrenceNumber = in.readInt();
        this.errorNumberOccurrenceNumber = in.readInt();
        this.practiseDuration = in.readLong();
        this.practiseOccurrenceNumber = in.readInt();
    }

    public static final Creator<GameInfo> CREATOR = new Creator<GameInfo>() {
        @Override
        public GameInfo createFromParcel(Parcel source) {
            return new GameInfo(source);
        }

        @Override
        public GameInfo[] newArray(int size) {
            return new GameInfo[size];
        }
    };
}
