package com.jyc.threegames.net;

import okhttp3.OkHttpClient;
import retrofit2.Retrofit;
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory;
import retrofit2.converter.gson.GsonConverterFactory;
import retrofit2.converter.scalars.ScalarsConverterFactory;

public class RetrofitHelper {
    private static OkHttpClient mDefaultClient;

    private RetrofitHelper() {}

    public static Retrofit getDefaultRetrofit(String url){
        if(mDefaultClient == null)
            mDefaultClient = OkHttpClientHelper.getDefaultOkHttpClient(new TokenInterceptor());

        return new Retrofit.Builder()
                .baseUrl(url)
                .addConverterFactory(ScalarsConverterFactory.create())
                .addConverterFactory(GsonConverterFactory.create())
                .addCallAdapterFactory(RxJava2CallAdapterFactory.create())
                .client(mDefaultClient)
                .build();
    }
}
